Subject: Re: bug#58721: 28.2; dired with delete-by-moving-to-trash can't trash directory twice
From: Eli Zaretskii <[email-masked]>
To: Mike Kupfer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 24 Nov 2022 13:19:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked]
> Date: Sun, 20 Nov 2022 17:08:18 -0800
> 
> > I'm not sure either, but my instincts are the same as yours. If that's
> > any reference, I just tested here, and that's what "gio trash" does
> > (moves the symlink, not the target).
> 
> Yes, I tried a few graphical file browsers (Thunar, Caja, and Dolphin),
> and they all move the symlink, not the target, to Trash.
> 
> After getting my test setup straightened out, I think I have a fix for
> the symlink issue and for the issue that Gustavo originally reported
> (cross-filesystem trashing fails when there's already a directory with
> the same name in Trash).
> 
> I've committed these fixes separately; see attached.  Gustavo, can you
> try these out and make sure they handle your use case(s)?
> 
> > > I'm okay with filing another bug report about rename-file, and
> > > discussing this there.  But that's a separate issue, and fix of this
> > > bug should not depend on that.
> > 
> > Understood.
> 
> Okay.  I'm not planning to follow up on this, Gustavo, so if you'd like
> to lobby for a change to rename-file, you'll need to open a bug for it
> (if you haven't already).

No further comments, so I've now installed these changes, and I'm closing
the bug.

Thanks.